org.apache.tiles.freemarker.template

## Class AddAttributeFMModel

- java.lang.Object
- - org.apache.tiles.freemarker.template.AddAttributeFMModel

- All Implemented Interfaces:
    freemarker.template.TemplateDirectiveModel, freemarker.template.TemplateModel

      public class AddAttributeFMModel
      extends Object
      implements freemarker.template.TemplateDirectiveModel

  Add an element to the surrounding list. Equivalent to 'putAttribute', but for list element.

  Add an element to the surrounding list. This tag can only be used inside 'putListAttribute' or 'addListAttribute' tags. Value can come from a direct assignment (value="aValue")

- - ### Field Summary

    - ### Fields inherited from interface freemarker.template.TemplateModel

      `NOTHING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddAttributeFMModel(AddAttributeModel model)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(freemarker.core.Environment env, Map params, freemarker.template.TemplateModel[] loopVars, freemarker.template.TemplateDirectiveBody body)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddAttributeFMModel

          public AddAttributeFMModel(AddAttributeModel model)

      Constructor.
      Parameters:
        `model` - The template model.

  - ### Method Detail

    - #### execute

          public void execute(freemarker.core.Environment env,
                              Map params,
                              freemarker.template.TemplateModel[] loopVars,
                              freemarker.template.TemplateDirectiveBody body)
                       throws freemarker.template.TemplateException,
                              IOException

      Specified by:
        `execute` in interface `freemarker.template.TemplateDirectiveModel`
      Throws:
        `freemarker.template.TemplateException`
        `IOException`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.